org.apache.ignite.internal

## Interface GridKernalContext

All Superinterfaces:
  Iterable<GridComponent>

All Known Implementing Classes:
  GridKernalContextImpl

    @GridToStringExclude
    public interface GridKernalContext
    extends Iterable<GridComponent>

### Method Summary

Methods
`Object` `addNodeAttribute(String key, Object val)` Add attribute to node attributes.
`GridAffinityProcessor` `affinity()` Gets cache data affinity processor.
`IgniteStripedThreadPoolExecutor` `asyncCallbackPool()` Gets async callback pool.
`GridCacheProcessor` `cache()` Gets caches processor.
`IgniteCacheObjectProcessor` `cacheObjects()` Gets cache object processor.
`GridCheckpointManager` `checkpoint()` Gets checkpoint manager.
`boolean` `clientDisconnected()`
`boolean` `clientNode()`
`GridClockSyncProcessor` `clockSync()` Gets time processor.
`GridClosureProcessor` `closure()` Gets closure processor.
`ClusterProcessor` `cluster()` Gets Cluster processor.
`GridCollisionManager` `collision()` Gets collision manager.
`List<GridComponent>` `components()` Gets list of all grid components in the order they were added.
`IgniteConfiguration` `config()` Gets grid configuration.
`GridContinuousProcessor` `continuous()` Gets event continuous processor.
`<T> T` `createComponent(Class<T> cls)` Creates optional component.
`<K,V> DataStreamProcessor<K,V>` `dataStream()` Gets data streamer processor.
`DataStructuresProcessor` `dataStructures()` Gets data structures processor.
`GridDeploymentManager` `deploy()` Gets deployment manager.
`GridDiscoveryManager` `discovery()` Gets discovery manager.
`GridEventStorageManager` `event()` Gets event storage manager.
`IgniteExceptionRegistry` `exceptionRegistry()` Gets exception registry.
`GridFailoverManager` `failover()` Gets failover manager.
`GridKernalGateway` `gateway()` Gets kernal gateway.
`ExecutorService` `getExecutorService()`
`ExecutorService` `getIgfsExecutorService()` Executor service that is in charge of processing outgoing IGFS messages.
`ExecutorService` `getManagementExecutorService()` Executor service that is in charge of processing internal and Visor `GridJobs`.
`ExecutorService` `getPeerClassLoadingExecutorService()`
`ExecutorService` `getRestExecutorService()` Should return an instance of fully configured thread pool to be used for processing of client messages (REST requests).
`ExecutorService` `getSystemExecutorService()` Executor service that is in charge of processing internal system messages.
`IgniteEx` `grid()` Gets grid instance managed by kernal.
`String` `gridName()` Gets grid name.
`HadoopProcessorAdapter` `hadoop()` Gets Hadoop processor.
`boolean` `hasNodeAttribute(String key)` Check if node has specified attribute.
`IgfsProcessorAdapter` `igfs()` Gets file system processor.
`IgfsHelper` `igfsHelper()` Gets IGFS utils processor.
`GridIndexingManager` `indexing()` Gets indexing manager.
`GridIoManager` `io()` Gets communication manager.
`boolean` `isDaemon()` Checks whether this node is daemon.
`boolean` `isStopping()`
`GridJobProcessor` `job()` Gets job processor.
`GridJobMetricsProcessor` `jobMetric()` Gets job metric processor.
`GridLoadBalancerManager` `loadBalancing()` Gets load balancing manager.
`UUID` `localNodeId()` Gets local node ID.
`IgniteLogger` `log(Class<?> cls)` Gets logger for given class.
`IgniteLogger` `log(String ctgr)` Gets logger for given category.
`void` `markSegmented()` Sets segmented flag to `true` when node is stopped due to segmentation issues.
`ExecutorService` `marshallerCachePool()` Gets marshaller cache pool.
`MarshallerContextImpl` `marshallerContext()` Gets marshaller context.
`Object` `nodeAttribute(String key)` Get node attribute by name.
`Map<String,Object>` `nodeAttributes()`
`OdbcProcessor` `odbc()` Gets ODBC processor.
`GridOffHeapProcessor` `offheap()` Gets offheap processor.
`GridPerformanceSuggestions` `performance()`
`PlatformProcessor` `platform()`
`PluginProvider` `pluginProvider(String name)`
`IgnitePluginProcessor` `plugins()`
`GridPortProcessor` `ports()` Gets port processor.
`void` `printMemoryStats()` Print grid kernal memory stats (sizes of internal structures, etc.).
`GridQueryProcessor` `query()` Gets query processor.
`GridResourceProcessor` `resource()` Gets resource processor.
`GridRestProcessor` `rest()` Gets REST processor.
`IgniteScheduleProcessorAdapter` `schedule()` Gets schedule processor.
`GridSecurityProcessor` `security()` Gets authentication processor.
`GridSegmentationProcessor` `segmentation()` Gets segmentation processor.
`boolean` `segmented()` Gets segmented flag.
`GridServiceProcessor` `service()` Gets service processor.
`GridTaskSessionProcessor` `session()` Gets task session processor.
`GridSwapSpaceManager` `swap()` Gets swap space manager.
`GridTaskProcessor` `task()` Gets task processor.
`GridTimeoutProcessor` `timeout()` Gets timeout processor.
`GridClockSource` `timeSource()` Gets grid time source.
`String` `userVersion(ClassLoader ldr)` Gets user version for given class loader by checking `META-INF/ignite.xml` file for `userVersion` attribute.
`ExecutorService` `utilityCachePool()` Gets utility cache pool.

### Methods inherited from interface java.lang.Iterable

`iterator`

### Method Detail

#### components

    List<GridComponent> components()

Gets list of all grid components in the order they were added.

Returns:
  List of all grid components in the order they were added.

#### localNodeId

    UUID localNodeId()

Gets local node ID.

Returns:
  Local node ID.

#### gridName

    String gridName()

Gets grid name.

Returns:
  Grid name.

#### log

    IgniteLogger log(String ctgr)

Gets logger for given category.

Parameters:
  `ctgr` - Category.
Returns:
  Logger.

#### log

    IgniteLogger log(Class<?> cls)

Gets logger for given class.

Parameters:
  `cls` - Class to get logger for.
Returns:
  Logger.

#### isStopping

    boolean isStopping()

Returns:
  `True` if grid is in the process of stopping.

#### gateway

    GridKernalGateway gateway()

Gets kernal gateway.

Returns:
  Kernal gateway.

#### grid

    IgniteEx grid()

Gets grid instance managed by kernal.

Returns:
  Grid instance.

#### config

    IgniteConfiguration config()

Gets grid configuration.

Returns:
  Grid configuration.

#### task

    GridTaskProcessor task()

Gets task processor.

Returns:
  Task processor.

#### affinity

    GridAffinityProcessor affinity()

Gets cache data affinity processor.

Returns:
  Cache data affinity processor.

#### job

    GridJobProcessor job()

Gets job processor.

Returns:
  Job processor

#### offheap

    GridOffHeapProcessor offheap()

Gets offheap processor.

Returns:
  Off-heap processor.

#### timeout

    GridTimeoutProcessor timeout()

Gets timeout processor.

Returns:
  Timeout processor.

#### clockSync

    GridClockSyncProcessor clockSync()

Gets time processor.

Returns:
  Time processor.

#### resource

    GridResourceProcessor resource()

Gets resource processor.

Returns:
  Resource processor.

#### jobMetric

    GridJobMetricsProcessor jobMetric()

Gets job metric processor.

Returns:
  Metrics processor.

#### cache

    GridCacheProcessor cache()

Gets caches processor.

Returns:
  Cache processor.

#### session

    GridTaskSessionProcessor session()

Gets task session processor.

Returns:
  Session processor.

#### closure

    GridClosureProcessor closure()

Gets closure processor.

Returns:
  Closure processor.

#### service

    GridServiceProcessor service()

Gets service processor.

Returns:
  Service processor.

#### ports

    GridPortProcessor ports()

Gets port processor.

Returns:
  Port processor.

#### schedule

    IgniteScheduleProcessorAdapter schedule()

Gets schedule processor.

Returns:
  Schedule processor.

#### rest

    GridRestProcessor rest()

Gets REST processor.

Returns:
  REST processor.

#### segmentation

    GridSegmentationProcessor segmentation()

Gets segmentation processor.

Returns:
  Segmentation processor.

#### dataStream

    <K,V> DataStreamProcessor<K,V> dataStream()

Gets data streamer processor.

Returns:
  Data streamer processor.

#### igfs

    IgfsProcessorAdapter igfs()

Gets file system processor.

Returns:
  File system processor.

#### igfsHelper

    IgfsHelper igfsHelper()

Gets IGFS utils processor.

Returns:
  IGFS utils processor.

#### continuous

    GridContinuousProcessor continuous()

Gets event continuous processor.

Returns:
  Event continuous processor.

#### hadoop

    HadoopProcessorAdapter hadoop()

Gets Hadoop processor.

Returns:
  Hadoop processor.

#### utilityCachePool

    ExecutorService utilityCachePool()

Gets utility cache pool.

Returns:
  Utility cache pool.

#### marshallerCachePool

    ExecutorService marshallerCachePool()

Gets marshaller cache pool.

Returns:
  Marshaller cache pool.

#### asyncCallbackPool

    IgniteStripedThreadPoolExecutor asyncCallbackPool()

Gets async callback pool.

Returns:
  Async callback pool.

#### cacheObjects

    IgniteCacheObjectProcessor cacheObjects()

Gets cache object processor.

Returns:
  Cache object processor.

#### query

    GridQueryProcessor query()

Gets query processor.

Returns:
  Query processor.

#### odbc

    OdbcProcessor odbc()

Gets ODBC processor.

Returns:
  ODBC processor.

#### plugins

    IgnitePluginProcessor plugins()

Returns:
  Plugin processor.

#### deploy

    GridDeploymentManager deploy()

Gets deployment manager.

Returns:
  Deployment manager.

#### io

    GridIoManager io()

Gets communication manager.

Returns:
  Communication manager.

#### discovery

    GridDiscoveryManager discovery()

Gets discovery manager.

Returns:
  Discovery manager.

#### checkpoint

    GridCheckpointManager checkpoint()

Gets checkpoint manager.

Returns:
  Checkpoint manager.

#### event

    GridEventStorageManager event()

Gets event storage manager.

Returns:
  Event storage manager.

#### failover

    GridFailoverManager failover()

Gets failover manager.

Returns:
  Failover manager.

#### collision

    GridCollisionManager collision()

Gets collision manager.

Returns:
  Collision manager.

#### security

    GridSecurityProcessor security()

Gets authentication processor.

Returns:
  Authentication processor.

#### loadBalancing

    GridLoadBalancerManager loadBalancing()

Gets load balancing manager.

Returns:
  Load balancing manager.

#### swap

    GridSwapSpaceManager swap()

Gets swap space manager.

Returns:
  Swap space manager.

#### indexing

    GridIndexingManager indexing()

Gets indexing manager.

Returns:
  Indexing manager.

#### timeSource

    GridClockSource timeSource()

Gets grid time source.

Returns:
  Time source.

#### dataStructures

    DataStructuresProcessor dataStructures()

Gets data structures processor.

Returns:
  Data structures processor.

#### markSegmented

    void markSegmented()

Sets segmented flag to `true` when node is stopped due to segmentation issues.

#### segmented

    boolean segmented()

Gets segmented flag.

Returns:
  `True` if network is currently segmented, `false` otherwise.

#### printMemoryStats

    void printMemoryStats()

Print grid kernal memory stats (sizes of internal structures, etc.). NOTE: This method is for testing and profiling purposes only.

#### isDaemon

    boolean isDaemon()

Checks whether this node is daemon.

Returns:
  `True` if this node is daemon, `false` otherwise.

#### performance

    GridPerformanceSuggestions performance()

Returns:
  Performance suggestions object.

#### userVersion

    String userVersion(ClassLoader ldr)

Gets user version for given class loader by checking `META-INF/ignite.xml` file for `userVersion` attribute. If `ignite.xml` file is not found, or user version is not specified there, then default version (empty string) is returned.

Parameters:
  `ldr` - Class loader.
Returns:
  User version for given class loader or empty string if no version was explicitly specified.

#### pluginProvider

    PluginProvider pluginProvider(String name)
                                  throws PluginNotFoundException

Parameters:
  `name` - Plugin name.
Returns:
  Plugin provider instance.
Throws:
  `PluginNotFoundException` - If plugin provider for the given name was not found.

#### createComponent

    <T> T createComponent(Class<T> cls)

Creates optional component.

Parameters:
  `cls` - Component class.
Returns:
  Created component.

#### getExecutorService

    ExecutorService getExecutorService()

Returns:
  Thread pool implementation to be used in grid to process job execution requests and user messages sent to the node.

#### getSystemExecutorService

    ExecutorService getSystemExecutorService()

Executor service that is in charge of processing internal system messages.

Returns:
  Thread pool implementation to be used in grid for internal system messages.

#### getManagementExecutorService

    ExecutorService getManagementExecutorService()

Executor service that is in charge of processing internal and Visor `GridJobs`.

Returns:
  Thread pool implementation to be used in grid for internal and Visor jobs processing.

#### getPeerClassLoadingExecutorService

    ExecutorService getPeerClassLoadingExecutorService()

Returns:
  Thread pool implementation to be used for peer class loading requests handling.

#### getIgfsExecutorService

    ExecutorService getIgfsExecutorService()

Executor service that is in charge of processing outgoing IGFS messages.

Returns:
  Thread pool implementation to be used for IGFS outgoing message sending.

#### getRestExecutorService

    ExecutorService getRestExecutorService()

Should return an instance of fully configured thread pool to be used for processing of client messages (REST requests).

Returns:
  Thread pool implementation to be used for processing of client messages.

#### exceptionRegistry

    IgniteExceptionRegistry exceptionRegistry()

Gets exception registry.

Returns:
  Exception registry.

#### nodeAttribute

    Object nodeAttribute(String key)

Get node attribute by name.

Parameters:
  `key` - Attribute name.
Returns:
  Attribute value.

#### hasNodeAttribute

    boolean hasNodeAttribute(String key)

Check if node has specified attribute.

Parameters:
  `key` - Attribute name.
Returns:
  `true` If node has attribute with specified name.

#### addNodeAttribute

    Object addNodeAttribute(String key,
                          Object val)

Add attribute to node attributes.

Parameters:
  `key` - Attribute name.
  `val` - Attribute value.
Returns:
  Previous attribute value associated with attribute name.

#### nodeAttributes

    Map<String,Object> nodeAttributes()

Returns:
  Node attributes.

#### cluster

    ClusterProcessor cluster()

Gets Cluster processor.

Returns:
  Cluster processor.

#### marshallerContext

    MarshallerContextImpl marshallerContext()

Gets marshaller context.

Returns:
  Marshaller context.

#### clientNode

    boolean clientNode()

Returns:
  `True` if local node is client node (has flag `IgniteConfiguration.isClientMode()` set).

#### clientDisconnected

    boolean clientDisconnected()

Returns:
  `True` if local node in disconnected state.

#### platform

    PlatformProcessor platform()

Returns:
  Platform processor.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016